# $Revision: 1.25 $, $Date: 2004/07/09 22:00:55 $
Summary:	XMMS plugin for playing Amiga audio modules
Summary(pl):	Wtyczka dla XMMS odtwarzajca moduy muzyczne z Amigi
Name:		xmms-input-modplug
Version:	2.05
Release:	2
# uhm, code is in Public Domain, but xmms forces GPL
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/modplug-xmms/modplugxmms-%{version}.tar.gz
# Source0-md5:	2dd9b88a02978d3001b48863b8cffc5b
Patch0:		%{name}-aclocal.patch
URL:		http://modplug-xmms.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libmodplug-devel >= 0.7
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel >= 1.0.0
BuildRequires:	libmodplug >= 0.7
Obsoletes:	xmms-input-mikmod
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plugin for playing Amiga audio modules. It is MUCH better than mikmod
plugin. It has no problems playing many modules which are beyond
abilities of mikmod plugin. It also has many advanced options
increasing sound quality, such as noise reductions, bass boost and
surround sound.

%description -l pl
Wtyczka umoliwiajca odtwarzanie moduw muzycznych z Amigi. Jest
ZNACZNIE lepsza od wtyczki mikmod. Nie ma problemw z odtwarzaniem
wielu moduw z ktrymi wtyczka mikmod zupenie sobie nie radzi.
Posiada ona rwnie wiele zaawansowanych opcji poprawiajcych jako
dwiku, jak choby redukcja szumw, wzmocnienie basw czy dwik
przestrzenny.

%prep
%setup -q -n modplugxmms-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{xmms_input_plugindir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
# this is standalone player - to be separated?
%attr(755,root,root) %{_bindir}/modplugplay
%attr(755,root,root) %{xmms_input_plugindir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-input-modplug.spec,v $
Revision 1.25  2004/07/09 22:00:55  hawk
- fixed simple aclocal problem

Revision 1.24  2004/04/14 12:21:31  gotar
- removed R: xmms (can be used with mplayer), release++

Revision 1.23  2003/10/17 20:15:14  qboosh
- updated to 2.05; uses separated libmodplug now

Revision 1.22  2003/08/05 10:43:40  grzegol
- updated %%files

Revision 1.21  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.20  2003/07/17 08:11:48  wolf
- 2.04

Revision 1.19  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:28:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/03/13 11:23:42  qboosh
- working Source URL, minor fixed where needed

Revision 1.16  2003/02/01 10:43:21  migo
- typos in %description

Revision 1.15  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.14  2003/01/06 17:01:09  migo
- updated to 2.03
- package now contains shared library... How to link it statically into plugin?
- fixed %doc, en description and Group:
- new Source0:

Revision 1.13  2002/11/29 23:35:20  ankry
- new %%doc

Revision 1.12  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/05/21 23:15:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:30:06  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/09/30 19:30:47  qboosh
- BuildRequires: autoconf, automake, libtool

Revision 1.5  2001/09/30 15:18:39  blues
- release 2
- ac2.5 ready

Revision 1.4  2001/02/21 18:58:17  kloczek
- updated to 1.5a,
- spec adapterized.

Revision 1.3  2001/01/30 02:07:33  kloczek
- updated to 1.5.

Revision 1.2  2001/01/19 18:13:54  kloczek
- added libstdc++-devel to BuildRequires.

Revision 1.1  2001/01/13 18:06:07  mkochano
- Written by modyfing spec for some other plugin.
- Builds, works.
